VERSION 5.00
Begin VB.Form frmLine 
   BackColor       =   &H0080FF80&
   BorderStyle     =   0  'None
   Caption         =   "Form2"
   ClientHeight    =   3090
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4680
   LinkTopic       =   "Form2"
   ScaleHeight     =   88465
   ScaleMode       =   0  'User
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer timResize 
      Interval        =   10
      Left            =   1770
      Top             =   1320
   End
End
Attribute VB_Name = "frmLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'----------------------------------------------------
'Project     : Teleprompter
'Module      : frmLine
'Created On  : 12-Sep-2005
'Author      : Himanshu
'Purpose     : This form is created to Display the
'              transparent horizontal Reader Line
'              over the Prompter Window
'----------------------------------------------------

Option Explicit

'should work in win 2000 / xp
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function SetLayeredWindowAttributes Lib "user32" (ByVal hwnd As Long, ByVal crey As Byte, ByVal bAlpha As Byte, ByVal dwFlags As Long) As Long
Private Const GWL_EXSTYLE = (-20)
Private Const WS_EX_LAYERED = &H80000
Private Const LWA_ALPHA = &H2&

Private Sub Form_Load()
    Dim bytOpacity As Byte
    'Set the transparency level
    bytOpacity = 128
    Call SetWindowLong(Me.hwnd, GWL_EXSTYLE, _
        GetWindowLong(Me.hwnd, GWL_EXSTYLE) Or WS_EX_LAYERED)
    Call SetLayeredWindowAttributes(Me.hwnd, 0, bytOpacity, _
        LWA_ALPHA)
        
    timResize.Enabled = True
    
End Sub

Public Sub ResizeLine()
    Me.Move frmMain.Left + frmMain.picBack.Left + frmMain.picLine.Left + 60, frmMain.Top + frmMain.picBack.ScaleTop + frmMain.picLine.Top + 500, frmMain.picLine.Width - 60, frmMain.picLine.Height
    Me.BackColor = frmMain.picLine.BackColor
End Sub

Private Sub timResize_Timer()
    ResizeLine
End Sub
