VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form dlgOptions 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Options"
   ClientHeight    =   4350
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5355
   Icon            =   "dlgOptions.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4350
   ScaleWidth      =   5355
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   2805
      TabIndex        =   6
      Top             =   3630
      Width           =   1245
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&OK"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   1305
      TabIndex        =   5
      Top             =   3630
      Width           =   1245
   End
   Begin VB.CommandButton cmdLineColor 
      Caption         =   "Line Color"
      Height          =   405
      Left            =   3510
      TabIndex        =   4
      Top             =   2730
      Width           =   1365
   End
   Begin VB.PictureBox picPreview 
      Appearance      =   0  'Flat
      BackColor       =   &H0000C000&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   75
      Left            =   510
      ScaleHeight     =   75
      ScaleWidth      =   4365
      TabIndex        =   3
      Top             =   1380
      Width           =   4365
   End
   Begin VB.CommandButton cmdBackColor 
      Caption         =   "Back Color"
      Height          =   405
      Left            =   1980
      TabIndex        =   2
      Top             =   2730
      Width           =   1395
   End
   Begin MSComDlg.CommonDialog cdl 
      Left            =   30
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdFont 
      Caption         =   "Font"
      Height          =   405
      Left            =   480
      TabIndex        =   1
      Top             =   2730
      Width           =   1365
   End
   Begin VB.TextBox txtPreview 
      Height          =   1905
      Left            =   480
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   0
      TabStop         =   0   'False
      Text            =   "dlgOptions.frx":0442
      Top             =   450
      Width           =   4425
   End
End
Attribute VB_Name = "dlgOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'----------------------------------------------------
'Project     : Teleprompter
'Module      : dlgOptions
'Created On  : 12-Sep-2005
'Author      : Himanshu
'Purpose     : This form is created to allow the user
'              to select the Settings Options
'----------------------------------------------------

Option Explicit

Public rtfMain As RichTextBox
Public picLine As PictureBox

Private Sub Form_Load()
    With rtfMain
        txtPreview.FontName = .Font.Name
        txtPreview.FontBold = .Font.Bold
        txtPreview.FontItalic = .Font.Italic
        txtPreview.FontSize = .Font.Size
        txtPreview.FontStrikethru = .Font.Strikethrough
        txtPreview.FontUnderline = .Font.Underline
        txtPreview.BackColor = .BackColor
        If .Tag <> "" Then txtPreview.ForeColor = .Tag
    End With
    picPreview.BackColor = picLine.BackColor
End Sub

Private Sub cmdFont_Click()
   
    Dim fnt As StdFont
    Set fnt = New StdFont
    
    cdl.Flags = cdlCFBoth Or cdlCFEffects
    
    With txtPreview
        cdl.FontBold = .FontBold
        cdl.FontItalic = .FontItalic
        cdl.FontName = .FontName
        cdl.FontSize = .FontSize
        cdl.FontStrikethru = .FontStrikethru
        cdl.FontUnderline = .FontUnderline
    End With
    
    cdl.ShowFont
        
    With fnt
        .Bold = cdl.FontBold
        .Italic = cdl.FontItalic
        .Name = cdl.FontName
        .Size = cdl.FontSize
        .Strikethrough = cdl.FontStrikethru
        .Underline = cdl.FontUnderline
    End With
        
    Set txtPreview.Font = fnt
    txtPreview.ForeColor = cdl.Color

End Sub

Private Sub cmdBackColor_Click()
    cdl.Flags = cdlCCRGBInit
    cdl.Color = txtPreview.BackColor
    cdl.ShowColor
    txtPreview.BackColor = cdl.Color
End Sub

Private Sub cmdLineColor_Click()
    cdl.Flags = cdlCCRGBInit
    cdl.Color = picPreview.BackColor
    cdl.ShowColor
    picPreview.BackColor = cdl.Color
End Sub

Private Sub cmdOk_Click()
    With rtfMain
        .SelStart = 1
        .SelLength = Len(.Text)
        .SelColor = txtPreview.ForeColor
        .Tag = txtPreview.ForeColor
        .Font.Name = txtPreview.FontName
        .Font.Bold = txtPreview.FontBold
        .Font.Italic = txtPreview.FontItalic
        .Font.Size = txtPreview.FontSize
        .Font.Strikethrough = txtPreview.FontStrikethru
        .Font.Underline = txtPreview.FontUnderline
        .BackColor = txtPreview.BackColor
        .SelLength = 0
    End With
    picLine.BackColor = picPreview.BackColor
    Unload Me
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

