VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Begin VB.Form dlgSelectMarker 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Select Marker"
   ClientHeight    =   3090
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4680
   Icon            =   "dlgSelectMarker.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   2460
      TabIndex        =   2
      Top             =   2550
      Width           =   1305
   End
   Begin VB.CommandButton cmdSelect 
      Caption         =   "&Select"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   900
      TabIndex        =   1
      Top             =   2550
      Width           =   1305
   End
   Begin MSComctlLib.ListView lvwMarkers 
      Height          =   2325
      Left            =   90
      TabIndex        =   0
      Top             =   90
      Width           =   4485
      _ExtentX        =   7911
      _ExtentY        =   4101
      View            =   3
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   0   'False
      FullRowSelect   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      Appearance      =   1
      NumItems        =   0
   End
End
Attribute VB_Name = "dlgSelectMarker"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'----------------------------------------------------
'Project     : Teleprompter
'Module      : dlgSelectMarker
'Created On  : 12-Sep-2005
'Author      : Himanshu
'Purpose     : This form is created to allow the User
'              to Select a Marker from the available markers
'              for Jumping to or Removing
'----------------------------------------------------

Option Explicit

Public oMarkers As CMarkers
Public lSelectedIndex As Long
Public sAction As String

Private Sub cmdCancel_Click()
    lSelectedIndex = -1
    Me.Hide
End Sub

Private Sub cmdSelect_Click()
    If lvwMarkers.SelectedItem Is Nothing Then
        Exit Sub
    End If
    lSelectedIndex = lvwMarkers.SelectedItem.Index
    Me.Hide
End Sub

Private Sub Form_Activate()
    ShowMarkers
End Sub

Private Sub Form_Load()
    InitForm
End Sub

Private Sub InitForm()
    With lvwMarkers
        .ColumnHeaders.Clear
        .ColumnHeaders.Add , "Index", "Index", 0
        .ColumnHeaders.Add , "Marker", "Marker", .Width - 80
    End With
End Sub

Private Sub ShowMarkers()
    Dim lCtr As Long
    Dim li As ListItem
    With lvwMarkers
        .ListItems.Clear
        For lCtr = 1 To oMarkers.Count
            Set li = .ListItems.Add(lCtr)
            li.ListSubItems.Add , , oMarkers.Item(lCtr).sText
        Next
    End With
    cmdSelect.Caption = sAction
End Sub

Private Sub lvwMarkers_DblClick()
    cmdSelect_Click
End Sub
