Attribute VB_Name = "modCommon"
'----------------------------------------------------
'Project     : Teleprompter
'Module      : modCommon
'Created On  : 12-Sep-2005
'Author      : Himanshu
'Purpose     : This module contains the general functions
'              for common use throughout the application
'----------------------------------------------------


Option Explicit

Public Function GetTime(iSeconds As Long) As String
    Dim iMins As Long
    Dim iSecs As Long
    Dim sMins As String
    Dim sSecs As String
    
    iMins = Abs(iSeconds / 60)
    iSecs = iSeconds Mod 60
    
    sMins = Trim(Str(iMins))
    sSecs = Trim(Str(iSecs))
    sSecs = "00" & sSecs
    sSecs = Right(sSecs, 2)
    
    GetTime = sMins & ":" & sSecs
End Function

Public Sub WriteFile(sFileName As String, sFileText As String)
    Dim f As Long
    f = FreeFile
    Open sFileName For Output As #f
    Print #f, sFileText
    Close #f
End Sub

